<?php

namespace App\Controllers\Admin\Equipment;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\CSHelper;
use App\Services\Equipment\CSService;

class CSController extends EquipmentController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): CSService
    {
        if (!$this->_service) {
            $this->_service = new CSService();
        }
        return $this->_service;
    }
    public function getHelper(): CSHelper
    {
        if (!$this->_helper) {
            $this->_helper = new CSHelper();
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
}
